Bug 440234 - PostgreSQL 8.1 and above shows a lot of warnings "nonstandard use of \\ in a string literal at character ..." when using bayes
PostgreSQL 8.1 and above shows a lot of warnings "nonstandard use of \\ in a ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 09:21 EDT by Tomasz Ostrowski
Modified: 2008-07-15 04:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.2.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 04:36:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
SpamAssassin 5730 None None None Never

  None (edit)
Description Tomasz Ostrowski 2008-04-02 09:21:15 EDT
Description of problem:
When using bayes storage using Mail::SpamAssassin::BayesStore::PgSQL module then
a Postgres server logs a lot of warnings:
WARNING:  nonstandard use of \\ in a string literal at character (...)
HINT:  Use the escape string syntax for backslashes, e.g., E'\\'.

There is a patch committed for devel SpamAssassin which fixes this:
https://issues.apache.org/SpamAssassin/attachment.cgi?id=4193&action=view
But I think it will not be backported to SpamAssassin-3.2.

Version-Release number of selected component (if applicable):
spamassassin-3.2.4-1.fc7

How reproducible:
Always.

Steps to Reproduce:
  initdb /tmp/pgdata
  postgres -p 65432 -D /tmp/pgdata/ &
  createdb -p 65432 spamd
  createlang -p 65432 plpgsql spamd
  wget \
'http://cvs.apache.org/viewvc/spamassassin/branches/3.2/sql/bayes_pg.sql?view=co'\
   --output-document=/tmp/bayes_pg.sql
  # This file is not packaged, which is another bug
  psql -p 65432 spamd < /tmp/bayes_pg.sql
  echo "bayes_store_module Mail::SpamAssassin::BayesStore::PgSQL" \
    > /tmp/user_prefs
  echo "bayes_sql_dsn DBI:Pg:dbname=spamd" >> /tmp/user_prefs
  sa-learn -p /tmp/user_prefs --spam \
    /usr/share/doc/spamassassin-3.2.*/sample-spam.txt

Actual results:
WARNING:  nonstandard use of \\ in a string literal
LINE 1: select put_tokens(1, '{"\\\\002\\\\023\\\\063\\\\251\\\\326"...
                             ^
HINT:  Use the escape string syntax for backslashes, e.g., E'\\'.
Learned tokens from 1 message(s) (1 message(s) examined)

Expected results:
Learned tokens from 1 message(s) (1 message(s) examined)

Additional info:
perl-DBD-Pg and postgresql-server packages have to be installed.
Postgresql is very good bayes backend as it allows access to be very well
parallelized.
Comment 1 Bug Zapper 2008-05-14 11:24:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomasz Ostrowski 2008-05-14 12:06:43 EDT
Retested on F8, spamassassin-3.2.4-1.fc8.

There was a bug in reproduce procedure, corrected below:

  initdb /tmp/pgdata
  postgres -p 65432 -D /tmp/pgdata/ &
  createdb -p 65432 spamd
  createlang -p 65432 plpgsql spamd
  wget \
'http://cvs.apache.org/viewvc/spamassassin/branches/3.2/sql/bayes_pg.sql?view=co'\
   --output-document=/tmp/bayes_pg.sql
  # This file is not packaged, which is another bug
  psql -p 65432 spamd < /tmp/bayes_pg.sql
  echo "bayes_store_module Mail::SpamAssassin::BayesStore::PgSQL" \
    > /tmp/user_prefs
  echo "bayes_sql_dsn DBI:Pg:dbname=spamd port=65432" >> /tmp/user_prefs
  sa-learn -p /tmp/user_prefs --spam \
    /usr/share/doc/spamassassin-3.2.*/sample-spam.txt
Comment 3 Tomasz Ostrowski 2008-06-16 03:00:25 EDT
Upstream version 3.2.5 was released which has this and other bugs fixed.
Comment 4 Kevin Fenzi 2008-06-27 13:09:33 EDT
Can you test the packages from: 

http://kojipkgs.fedoraproject.org/packages/spamassassin/3.2.5/

and confirm it's fixed?

Thanks. 
Comment 5 Tomasz Ostrowski 2008-07-15 04:36:02 EDT
Confirming.

Note You need to log in before you can comment on or make changes to this bug.